var error  = new Array();	

function Attribute(text, number)
{
	this.text = text;		//setzt den Text
	this.number = number;		//setzt Nummer
}

function newError(text)
{
	number = error.length;
	error[number] = new Attribute( text, 600 + number);
}


/* SYNTAX: newError("ERRORTEXT");
*  all HTML-TAGS in ERRORTEXT apply
*  the ERRORCODE is computed from the position in the list e.g. the 1st is 600, 2nd 601 ... 
*  it's easy to edit FakeErrorcodes.txt first and then to replace every '\n' with '");\nnewError("', some handwork and done ;)
*  ATTENTION: replace every non ISO-8859-1 (western european character set) with it's HTML representation eg. &[name] OR &#[x][Nummer];
*/

newError("The returned metainformation in the entity header is incomplete or wrongsized.  The network interface might be misconfigured. Check the packet size settings for mimetyping. ");
newError("The Server fulfilled the request, but there was no information to send back.");
newError("The request completed successfully, but the server has gone away.  Try to phone your call center for the new address.");
newError("The document root of the server was deleted successfully.  Thanks for being our customer.");
newError("The server, while acting as a gateway or proxy, received an unexpected token or invalid response in attempting to fulfill the request.  Change the data format or use different client software.");
newError("The server does not support portmapping out of the 640 kbyte area.");
newError("The user authentification failed because a user with this name is currently listed on the black list of the NSA (National Security Agency).");
newError("The server encountered an unexpected time flag on client's machine.  Try to setup client machine to CET.");
newError("The Server understood your request, but is unable to fulfill it because the client's name does not match.  Try to adjust your machine's name to match the server's requirements.");
newError("The method used in order to fulfill the request threw an exception that can be read in your system logfile.");
newError("The server timed out waiting for the rest of the request data. Check the settings for timesharing.");
newError("The precondition given in one or more of the request header fields did not match the filetype.  Please modify the MIME TYPE handler settings.");
newError("The server encountered an illegal installation of software protected by SPCO (Software Piracy Control Organisation) on client machine.  Please stay connected until the collection of personal data and further installations has been completed. ");
newError("The server encountered an internal error because the temporary disk space on client machine is full or not writeable.  Delete everything in C:\Temp and set directory world writeable.");
newError("Not currently implemented in clients HTTP protocol version.  Update the client softwares protocol version to accomplish the server requirements.");
newError("The server has refused to process the request because the client is in an insecure condition.  Please reboot.");
newError("The requested resources were downloaded successfully and reside now on the client's temporary disk space.  Please disconnect now and browse offline. ");
newError("The server has not found anything matching your IP address.  Please modify client machine's routing table.");
newError("The request has been completed, but the transfer timed out due to a sequence number error.  Please try again and send in correct order.");
newError("The server encountered irreversible damage on client's system.  Please reinstall.");
newError("The server received an invalid response from the client and refuses further requests until the operating system is updated.");
newError("The server insists on proxy authentification.  Please log out and log in again to your LAN (Local Area Network).");
newError("The request was refused, but this error message was sent successfully.  Client's network operations should be minimized for at least 10 minutes or system will become instable. Save all files that are currently opened.");

// Titus errors, titus@monomedium.de
newError("The server encountered unknown data while trying to retrieve information about your sexual habits. The server's administrator will have to run a couple of tests to validate the information provided. Please retry tomorrow.");
newError("Your request was routed via an AOL-gateway. Sorry, there are limits even to our sense of humor!");
newError("This is a Linux-based server. Please wait while the worldwide linux-developer-community considers your request.");
//thanks Titus: It took me half an hour to format the date string.
newError("According to IP-header information your request was sent at " + Hour() + ":" + Minute() + ":" + Secs() + " the " + Day() + "." + Month() + "." + (Year() - 10) + ". The server assumes that you are no longer interested by now.");

// Bill's errors, billnot@billnot.com
newError("The server doesn't understand why you would wish to go to <b>that</b> site. Please choose somewhere more suitable.");
newError("The server is currently taking a siesta.  This may take some time.  Please try again during Spanish business hours (1400-1500 Every Third Thursday).");
newError("Invalid move.  Totteridge and Whetstone is in kind, and everything south of the line is blocked.  Please try again, using the green diagonal.");
newError("Top posting detected.  Please try again using a proper client.");
newError("The server has noted that your V1098 has come apart under gravitational stress.  Please shut down and reboot your computer.");
newError("The server has declined to process your request as it is striking for better pay and conditions.");
newError("&iquest;Qu&eacute;?");
newError("The server encountered an invalid request BLR at offset 362436: parameter mismatch for procedure 69.");
newError("The server has discovered that your system is low on resources. You haven't spent enough money on software yet.");
newError("The server can't be bothered to fetch your request. Please try again later.");
newError("Dollis Hill loop detected. Please move to Lancaster Gate before your next move.");
newError("The server has detected the presence of Outlook Express. Please correct before retrying.");
newError("If then, maybe.  But if not why not?  But, then again, perhaps. Don't be so indecisive.");
newError("Illegal operation detected at offset 3B09A7. The local police have been alerted.");
newError("Lo siento, no comprendo. Debe hablar en castellano.");

// Joe's errors, jmshort2@hotmail.com
newError("No.");
newError("Whatever.");
newError("The request completed successfully, however, the necessary paperwork has not yet been submitted. Please check back in two (2) business days.");
newError("This request is malformed. Please reform and try again.");
newError("The requested request has not yet been requested through the appropriate requestation requestor. Please re-request your request later.");
newError("The request has been submitted and rejected. Don't even think about trying again.");
newError("This request has been submitted as evidence for inappropriate personal use of this network.  Please logoff and contact your ISP Ethics Officer.");
newError("The server attempted to process the request but had absolutely no idea on how to respond without calling your intelligence into question.");
newError("The server is refusing your request. In fact, the server has locked itself into a Network Operations Center (NOC) bathroom and has refused to come out.");
newError("The server encountered an uncomfortable condition that prevented it from fulfilling the request.  Please try again gently.");
newError("The server timed out waiting for the request.  The server hung in there for a while, but got bored and started rerouting resources to a regional Internet Cafe currently hosting a Pong tournament.");
newError("The requested resource is unavailable.  Please try again when resources become available.  You will be notified.");
newError("The request could not be completed due to a conflict between server address a12132cc and aa21c21b. Or was that a12132cc and ab21c21b...?");
newError("The request could not be processed by the server due to invalid sin tax.");
newError("Proxy authentication required. The server has no idea why, either.");
newError("The server refuses to accept the request without a financial incentive. Contributions are collected via the server host's corporate PayPal account. Please hold a valid credit card to the monitor and wait for additional instructions.");
newError("The request has been fulfilled and resulted in the creation of a new resource that has been accepted for processing , but the processing has not been completed since the returned meta information in the entity-header is not the definitive set available from the origin server and the server has no new information to send back until the request has been completed, at which time the client program should reset the document view that caused the request to be sent to allow the user to easily initiate another input action in order to the server to fulfill a partial GET request for the resource.");
newError("The server couldn't decide what to return since the requested resource has been assigned to a new permanent URI, and any future references to this resource should be done using one of the returned URIs to allow the requested resource to reside temporarily, at which time the response to the request can be found under a different URI and should be retrieved using a GET method on that resource even though the requested resource has not been modified and the requested resource must be accessed through the proxy given by the location field due to a redirected request that keeps the same verb and HTTP/1.1 behavior.");
newError("The request could not be processed by the server due to invalid syntax and required user authentication that is not currently implemented in the HTTP protocol, causing the server to understand the request but refusing to fulfill anything matching the requested URI and not allowing the method used nor finding the responses acceptable to the client, requiring Proxy authentication before timing out while waiting for the request which couldn't be completed due to a conflict with the current state of the resource prompting the user to resubmit with more information since the requested resource is no longer available at the server, and no forwarding address is known.");
newError("The server refuses to accept the request without a defined content length on the precondition given in one or more of the request header fields evaluated to false when it was tested on the server and refusing to process a request because the request entity is larger than the server is willing or able to process or refusing to service the request because the request URI is longer than the server is willing to interpret, as well as refusing to service the request because the entity of the request is in a format not supported by the requested resource for the requested method, causing the server to encounter an unexpected condition that prevented it from fulfilling the request since the server does not support the functionality required to fulfill the request while acting as a gateway or proxy receiving an invalid response from the upstream server it accessed in attempting to fulfill the request which temporarily overloaded and timed out the server waiting for a gateway that the server does not support, or refuses to support, the HTTP protocol version that was used in the request message.");

// a classic found in the infinity of the WWW, the badly translated intro of the computer game AYB2
newError("IN A.D. 2101 WAR WAS BEGINNING.<br><br>CAPTAIN: WHAT HAPPEN ?<br>MECHANIC: SOMEBODY SET US UP THE BOMB.<br>OPERATOR: WE GET SIGNAL.<br>CAPTAIN: WHAT !<br>OPERATOR: MAIN SCREEN TURN ON.<br>CAPTAIN: IT'S YOU !!<br>CATS: HOW ARE YOU GENTLEMEN !!<br>CATS: ALL YOUR BASE ARE BELONG TO US.<br>CATS: YOU ARE ON THE WAY TO DESTRUCTION.<br>CAPTAIN: WHAT YOU SAY !!<br>CATS: YOU HAVE NO CHANCE TO SURVIVE MAKE YOUR TIME.<br>CATS: HA HA HA HA ....");